package com.sd.business.entity.in.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 出入库
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("in_out_storage")
public class InOutStorage extends BasePo {

    /**
     * 类型 1入库 0出库
     */
    private Integer type;

    /**
     * 出入库明细类型
     */
    private Integer detailType;

    /**
     * 出入库单号
     */
    private String code;

    /**
     * 采购合同id
     */
    private Long purchaseId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 申请人
     */
    private String applicant;

    /**
     * 出入库时间
     */
    private Date inOutStorageTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 调仓标记
     */
    private Long allotFlag;

}
