package com.sd.business.entity.in.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 出入库结存单价计算表
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Getter
@Setter
@TableName("in_out_storage_balance")
public class InOutStorageBalance extends BasePo {

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 单价s
     */
    private BigDecimal inUnitPrice;

    /**
     * 入库数量
     */
    private BigDecimal quantity;

}
