package com.sd.business.entity.in.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import com.sd.business.entity.inventory.bo.InOutFun;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 出入库bom
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("in_out_storage_bom")
public class InOutStorageBom extends BasePo implements InOutFun {

    /**
     * 出入库id
     */
    private Long inOutStorageId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 入库单价
     */
    private BigDecimal unitPrice;

    /**
     * 结存库存数量
     */
    private BigDecimal balanceInventoryQuantity;

}
