package com.sd.business.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 采购待入库bom
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Getter
@Setter
@TableName("purchase_pending_storage_bom")
public class PurchasePendingStorageBom extends BasePo {

    /**
     * 采购待入库id
     */
    private Long purchasePendingStorageId;

    /**
     * 采购合同id
     */
    private Long purchaseId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 到货数量
     */
    private BigDecimal arrivalQuantity;

}
