package com.sd.business.service.bom;

import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.bom.bo.BomSpecBo;
import com.sd.business.entity.bom.po.BomSpec;

import java.util.Collection;
import java.util.Map;


/**
 * <p>
 * bom规格 服务类
 * </p>
 *
 * @author
 * @since 2023-12-04
 */
public interface BomSpecService extends BaseService<BomSpec> {

    /**
     * 获取sku规格明细map
     */
    Map<Long, BomSpecBo> getBomSpecBo(Collection<Long> bomSpecIdList);

    /**
     * 获取sku规格明细
     */
    BomSpecBo getBomSpecBo(Long bomSpecId);

}
