package com.sd.business.service.inventory;

import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.inventory.enums.FinishedOperationTypeEnum;
import com.sd.business.entity.inventory.po.InventoryFinishedOrder;
import com.sd.business.entity.inventory.po.InventoryFinishedOrderDetail;

import java.util.List;


/**
 * <p>
 * 成品仓库订单操作记录id 服务类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
public interface InventoryFinishedOrderDetailService extends BaseService<InventoryFinishedOrderDetail> {

    /**
     * 添加生产入库流水记录
     *
     * @param list 成品仓库订单信息
     */
    void add(List<InventoryFinishedOrder> list, FinishedOperationTypeEnum finishedOperationTypeEnum);

}
