package com.sd.business.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.order.dto.OrderSkuProductionCostDto;
import com.sd.business.entity.order.dto.OrderSkuProductionCostSelectDto;
import com.sd.business.entity.order.po.OrderSkuProductionCost;
import com.sd.business.entity.order.vo.OrderSkuProductionCostVo;


/**
 * <p>
 * 订单sku生产成本表 服务类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
public interface OrderSkuProductionCostService extends BaseService<OrderSkuProductionCost> {

    /**
     * 订单sku生产成本表分页
     */
    Page<OrderSkuProductionCostVo> getPage(OrderSkuProductionCostSelectDto dto);

    /**
     * 订单sku生产成本表明细
     */
    OrderSkuProductionCostVo detail(Long id);

    /**
     * 订单sku生产成本表新增
     */
    void add(OrderSkuProductionCostDto dto);

    /**
     * 订单sku生产成本表编辑
     */
    void edit(OrderSkuProductionCostDto dto);

    /**
     * 订单sku生产成本表删除
     */
    void delete(Long id);

}
