package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.dto.PurchasePaymentBomDto;
import com.sd.business.entity.purchase.dto.PurchasePaymentBomSelectDto;
import com.sd.business.entity.purchase.po.PurchasePaymentBom;
import com.sd.business.entity.purchase.vo.PurchasePaymentBomVo;


/**
 * <p>
 * 采购付款bom 服务类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
public interface PurchasePaymentBomService extends BaseService<PurchasePaymentBom> {

    /**
     * 采购付款bom分页
     */
    Page<PurchasePaymentBomVo> getPage(PurchasePaymentBomSelectDto dto);

    /**
     * 采购付款bom明细
     */
    PurchasePaymentBomVo detail(Long id);

    /**
     * 采购付款bom新增
     */
    void add(PurchasePaymentBomDto dto);

    /**
     * 采购付款bom编辑
     */
    void edit(PurchasePaymentBomDto dto);

    /**
     * 采购付款bom删除
     */
    void delete(Long id);

}
