package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageBomDto;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageBomSelectDto;
import com.sd.business.entity.purchase.po.PurchasePendingStorageBom;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageBomVo;


/**
 * <p>
 * 采购待入库bom 服务类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
public interface PurchasePendingStorageBomService extends BaseService<PurchasePendingStorageBom> {

    /**
     * 采购待入库bom分页
     */
    Page<PurchasePendingStorageBomVo> getPage(PurchasePendingStorageBomSelectDto dto);

    /**
     * 采购待入库bom明细
     */
    PurchasePendingStorageBomVo detail(Long id);

    /**
     * 采购待入库bom新增
     */
    void add(PurchasePendingStorageBomDto dto);

    /**
     * 采购待入库bom编辑
     */
    void edit(PurchasePendingStorageBomDto dto);

    /**
     * 采购待入库bom删除
     */
    void delete(Long id);

}
