package com.sd.business.entity.bom.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * bom
 * </p>
 *
 * @author
 * @since 2023-12-04
 */
@Getter
@Setter
@TableName("bom")
public class Bom extends BasePo {

    /**
     * bom分类id
     */
    private Long bomClassifyId;

    /**
     * 品号
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 定制记件标准 字典:bom_customPieceBasis
     */
    private String customPieceBasis;

    /**
     * 包装记件标准 字典:bom_packagePieceBasis
     */
    private String packagePieceBasis;

    /**
     * 发货记件标准 字典:bom_shipmentsPieceBasis
     */
    private String shipmentsPieceBasis;

    /**
     * 项目小类 字典:bom_itemSubclass
     */
    private String itemSubclass;

    /**
     * 种类 字典:bom_species
     */
    private String species;

    /**
     * 材质
     */
    private String material;

    /**
     * 型号
     */
    private String modelNumber;

    /**
     * 正面纹路 字典:bom_frontGrain
     */
    private String frontGrain;

    /**
     * 背面纹路 字典:bom_reverseGrain
     */
    private String reverseGrain;

    /**
     * 单位
     */
    private String unit;

    /**
     * LOGO
     */
    private String logo;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;

    /**
     * 售价体系 字典:bom_sellingPriceSystem
     */
    private String sellingPriceSystem;

    /**
     * 角度 字典:bom_angle
     */
    private String angle;

    /**
     * 配方
     */
    private String formula;

    /**
     * 压纹工艺 字典:bom_embossingProcess
     */
    private String embossingProcess;

    /**
     * 产品主图
     */
    private String mainImgUrl;

    /**
     * 详细描述
     */
    private String detailText;

    private String oldId;

}
