package com.sd.business.entity.inventory.dto;

import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 库存快照列表查询入参实体
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
public class InventoryBackupSelectDto extends InventorySelectDto {

    /**
     * 备份日期
     */
    @NotNull(message = "备份日期不能为空")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date backupDate;

}
