package com.sd.business.entity.inventory.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 成品仓库订单操作记录id
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("inventory_finished_order_detail")
public class InventoryFinishedOrderDetail extends BasePo {

    /**
     * 编号
     */
    private String code;

    /**
     * 成品仓库订单id
     */
    private Long inventoryFinishedOrderId;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 订单id
     */
    private Long orderInfoId;

    /**
     * 订单sku id
     */
    private Long orderSkuId;

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 操作类型 1生产完成入库 2销售出库
     */
    private Integer operationType;

}
