package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 订单sku bom 关联
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("order_package_bom")
public class OrderPackageBom extends BasePo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 成本价
     */
    private BigDecimal costPrice;

    /**
     * 对内销售价
     */
    private BigDecimal internalSellingPrice;

    /**
     * 数量
     */
    private BigDecimal quantity;

}
