package com.sd.business.entity.price.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 加工计费标准
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("price_billing_standard")
public class PriceBillingStandard extends BasePo {

    /**
     * 加工计费标准名称
     */
    private String name;

    /**
     * 种类 字典:bom_species
     */
    private String species;

}
