package com.sd.business.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 采购付款bom
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Getter
@Setter
@TableName("purchase_payment_bom")
public class PurchasePaymentBom extends BasePo {

    /**
     * 采购付款id
     */
    private Long purchasePaymentId;

    /**
     * 采购合同bom id
     */
    private Long purchaseBomId;

    /**
     * 付款金额
     */
    private BigDecimal paymentAmount;

}
