package com.sd.business.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 采购退货bom
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Getter
@Setter
@TableName("purchase_return_bom")
public class PurchaseReturnBom extends BasePo {

    /**
     * 采购退货id
     */
    private Long purchaseReturnId;

    /**
     * 采购合同id
     */
    private Long purchaseId;

    /**
     * 采购合同bom id
     */
    private Long purchaseBomId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 退货数量
     */
    private BigDecimal returnQuantity;

}
