package com.sd.business.entity.statement.dto;

import com.sd.business.entity.statement.po.StatementOfAccount;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 对账单新增编辑入参实体
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
public class StatementOfAccountDto extends StatementOfAccount {

    /**
     * 订单id
     */
    @NotEmpty(message = "订单id列表不能为空")
    private List<Long> orderIdList;

}
