package com.sd.business.service.in;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.in.dto.InOutStorageDto;
import com.sd.business.entity.in.dto.InOutStorageSelectDto;
import com.sd.business.entity.in.po.InOutStorage;
import com.sd.business.entity.in.vo.InOutStorageVo;


/**
 * <p>
 * 出入库 服务类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
public interface InOutStorageService extends BaseService<InOutStorage> {

    /**
     * 出入库分页
     */
    Page<InOutStorageVo> getPage(InOutStorageSelectDto dto);

    /**
     * 出入库明细
     */
    InOutStorageVo detail(Long id);

    /**
     * 出入库新增
     */
    void add(InOutStorageDto dto);

    /**
     * 出入库编辑
     */
    void edit(InOutStorageDto dto);

    /**
     * 出入库删除
     */
    void delete(Long id);

}
