package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageDto;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageSelectDto;
import com.sd.business.entity.purchase.po.PurchasePendingStorage;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageVo;


/**
 * <p>
 * 采购待入库 服务类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
public interface PurchasePendingStorageService extends BaseService<PurchasePendingStorage> {

    /**
     * 采购待入库分页
     */
    Page<PurchasePendingStorageVo> getPage(PurchasePendingStorageSelectDto dto);

    /**
     * 采购待入库明细
     */
    PurchasePendingStorageVo detail(Long id);

    /**
     * 采购待入库新增
     */
    void add(PurchasePendingStorageDto dto);

    /**
     * 采购待入库编辑
     */
    void edit(PurchasePendingStorageDto dto);

    /**
     * 采购待入库删除
     */
    void delete(Long id);

}
