package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.dto.PurchaseReturnBomDto;
import com.sd.business.entity.purchase.dto.PurchaseReturnBomSelectDto;
import com.sd.business.entity.purchase.po.PurchaseReturnBom;
import com.sd.business.entity.purchase.vo.PurchaseReturnBomVo;


/**
 * <p>
 * 采购退货bom 服务类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
public interface PurchaseReturnBomService extends BaseService<PurchaseReturnBom> {

    /**
     * 采购退货bom分页
     */
    Page<PurchaseReturnBomVo> getPage(PurchaseReturnBomSelectDto dto);

    /**
     * 采购退货bom明细
     */
    PurchaseReturnBomVo detail(Long id);

    /**
     * 采购退货bom新增
     */
    void add(PurchaseReturnBomDto dto);

    /**
     * 采购退货bom编辑
     */
    void edit(PurchaseReturnBomDto dto);

    /**
     * 采购退货bom删除
     */
    void delete(Long id);

}
