package com.sd.business.service.statement;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.statement.dto.StatementOfAccountDto;
import com.sd.business.entity.statement.dto.StatementOfAccountSelectDto;
import com.sd.business.entity.statement.po.StatementOfAccount;
import com.sd.business.entity.statement.vo.StatementOfAccountVo;


/**
 * <p>
 * 对账单 服务类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
public interface StatementOfAccountService extends BaseService<StatementOfAccount> {

    /**
     * 对账单分页
     */
    Page<StatementOfAccountVo> getPage(StatementOfAccountSelectDto dto);

    /**
     * 对账单明细
     */
    StatementOfAccountVo detail(Long id);

    /**
     * 对账单新增
     */
    void add(StatementOfAccountDto dto);

    /**
     * 对账单编辑
     */
    void edit(StatementOfAccountDto dto);

    /**
     * 对账单删除
     */
    void delete(Long id);

}
